#include "stdafx.h"
#include "OfficeClipHelper.h"
#include <sstream>

// COfficeClipHelper

STDMETHODIMP COfficeClipHelper::InterfaceSupportsErrorInfo(REFIID riid)
{
	static const IID* arr[] = 
	{
		&IID_IOfficeClipHelper
	};

	for (int i=0; i < sizeof(arr) / sizeof(arr[0]); i++)
	{
		if (InlineIsEqualGUID(*arr[i],riid))
			return S_OK;
	}
	return S_FALSE;
}

STDMETHODIMP COfficeClipHelper::get_NumClipItems(LONG* pVal)
{
	if (!pVal) return E_POINTER;
	COM_FUN_BEGIN;
	*pVal = m_ofs.getcountfunc();
	COM_FUN_END;
}

STDMETHODIMP COfficeClipHelper::Clear(void)
{
	COM_FUN_BEGIN;
	m_ofs.clearclipfunc(0,24,1);
	COM_FUN_END;
}

STDMETHODIMP COfficeClipHelper::get_Description(BSTR* pVal)
{
	COM_FUN_BEGIN;
	if (!pVal) return E_POINTER;
	CComBSTR desc(m_descr);
	*pVal = desc.Detach();
	COM_FUN_END;
}
